EDIT - feature request #6812

Improve TaxEditor download site
07/14/2017 11:13 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: documentation Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

The current download site (https://dev.e-taxonomy.eu/download/taxeditor/stable/) for the TaxEditor is very cryptic.

Filenames like eu.etaxonomy.taxeditor.product-win32.win32.x86_64.zip are very difficult to understand for the users and for
unexperienced users it is difficult to find out which file is the correct one for there system.

We should adapt the download site in a way that it
e guesses which files are the most probable candidates for the client system (e.g. by evaluating the http operating systme
attribute)
¢ offers them by download buttons
¢ uses human readable labels and file names
¢ offers help for determinating additional information needed (e.g. if java installed, and if yes, which version)

UPDATE:

In the standup today we decided to place the beautiful download page at https://cybertaxonomy.eu/taxeditor/download

Since the parent folder is a page from the maven site doc for the taxeditor we potentially could put the new download page into the
maven site doc if it is possible to use plain html pages in site doc. Otherwise we can place it somewhere below
https://dev.e-taxonomy.eu/download/ like https://dev.e-taxonomy.eu/download/html or
https://dev.e-taxonomy.eu/download/taxeditor/html and configure a redirect or request forwarding to this location.

Related issues:
Related to EDIT - discussion #9995: Discuss structure of subsites for cyberta... New 05/02/2022 05/06/2022

Associated revisions

Revision 1922fc2a - 09/25/2017 02:22 PM - Andreas Miiller

ref #6812 adapt download site on https://cybertaxonomy.eu/taxeditor/index.html to link to stable

History

#1 - 07/14/2017 11:29 AM - Andreas Kohlbecker

The download site is themed generically for all subfolders of https://dev.e-taxonomy.eu/download/.
The according settings are found in the apache configuration:

/var/www/download/.htaccess
/var/www/download/style.css

#2 - 07/21/2017 10:27 AM - Andreas Mdiller

- Target version changed from Release 4.9 to Release 4.10

#3 - 09/24/2017 04:14 PM - Andreas Miller

what's about the new download page? Can we put it online with the next weeks release?

#4 - 09/25/2017 02:43 PM - Andreas Miiller
- Status changed from New to Resolved

- Assignee changed from Fabian Reimeier to Andreas Miiller
#5 - 09/25/2017 11:53 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Andreas Kohlbecker

We today decided to put the download site to https://dev.e-taxonomy.eu/download/taxeditor/ le/ (before it was on
https://dev.e-taxonomy.eu/download/taxeditor/) as this is the URL that we usually promote.

The problem here is that putting the files into this folder we need to move them after each release to the new stable folder as stable is only a symbolic
link.

Is there a solution for this?

#6 - 09/25/2017 11:54 PM - Andreas Miiller
- % Done changed from 0 to 70

#7 - 09/26/2017 09:56 AM - Andreas Kohlbecker

Andreas Muller wrote:

We today decided to put the download site to https://dev.e-taxonomy.eu/download/taxeditor/ le/ (before it was on
https://dev.e-taxonomy.eu/download/taxeditor/) as this is the URL that we usually promote.

The problem here is that putting the files into this folder we need to move them after each release to the new stable folder as stable is only a
symbolic link.

Is there a solution for this?

You can have the new download page in https://dev.e-taxonomy.eu/download/taxeditor and keep the actual download files in /stable/. To achieve this
you only need to adapt the download links in the new download page. But keep in mind that this will make the directory listing of download/taxeditor/
unaccessible.

... as this is the URL that we usually promote.
We could start promoting another download URL:

The taxeditor product page is at https:/cybertaxonomy.eu/taxeditor/ the download URL aa https:/cybertaxonomy.eu/taxeditor/download would be
quite logical

#8 - 09/26/2017 10:11 AM - Andreas Miiller

Andreas Kohlbecker wrote:
But keep in mind that this will make the directory listing of download/taxeditor/ unaccessible.
This is the reason why we moved it to /stabel. We need download/taxeditor/ to be accessible otherwise it is not possible for ordinary users e.g. to
navigate to the nightly or older TaxEditor versions.
If we want download/taxeditor/ to be the folder for the current stable version only we probably need to change the underlying structure with having all
versions in e.g. a subfolder.
One possibility would be to move all content from download/taxeditor/ to download/taxeditor/versions/ and then link the links on the new download
page to download/taxeditor/versions/stable. But this requires to change all scripts (e.g. jenkins) to this new structure.
We should also consider to do the same for all other products (CDM server, dataportal, ....).
#9 - 09/27/2017 09:31 AM - Andreas Miiller
Walter:

Aber die neue Download-Liste sieht ja schick aus! Aber leider kann ich jetzt nicht mehr das Datum der Datei checken (vor dem Download). Sollte
vielleicht die zum Download angebotene Version irgendwo aufscheinen?

#10 - 09/27/2017 10:13 AM - Patrick Plitzner
If | remember correctly, the proposed download should be highlighted. But when | go onto the website (Linux 64bit) my OS is retrieved correctly but

the none of the download buttons is not highlighted.

#11 - 09/27/2017 11:58 AM - Andreas Kohlbecker

- Description updated

In the standup today we decided to place the beautiful download page at https://cybertaxonomy.eu/taxeditor/download

Since the parent folder is a page from the maven site doc for the taxeditor we potentially could put the new download page into the maven site doc if it
is possible to use plain html pages in site doc. Otherwise we can place it somewhere below https://dev.e-taxonomy.eu/download/ like
https://dev.e-taxonomy.eu/download/html or https:/dev.e-taxonomy.eu/download/taxeditor/html and configure a redirect or request forwarding to this
location.

#12 - 09/27/2017 11:58 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Fabian Reimeier

#13 - 02/16/2018 10:46 AM - Fabian Reimeier
- % Done changed from 70 to 90

#14 - 03/13/2018 02:05 PM - Fabian Reimeier

- Target version changed from Release 4.10 to Release 5.0

#15 - 03/14/2018 09:54 AM - Fabian Reimeier

- Target version changed from Release 5.0 to Release 4.10
#16 - 03/19/2018 10:44 AM - Andreas Kohlbecker
Hallo Fabian,

in meinem Kommentar https:/dev.e-taxonomy.eu/redmine/issues/6812#note-11 habe ich an zwei Mdglichkeiten gedacht.
Die erste verursacht den geringsten Konfigurationsaufwand.

Nach dem was in der maven-site-plugin dokumentation steht sollte es kein Problem sein die download seite in die maven-site struktur zu integrieren:
https://maven.apache.org/plugins/maven-site-plugin/examples/creating-content.htmli

Den benétigten xhtml ordner gibt es meines Wissens noch nicht, den misstest du anlegen.
Was meinst du, wirde deine download seite in diesem Kontext funktionieren?

viele GriBBe
Andreas

#17 - 03/19/2018 10:45 AM - Andreas Kohlbecker
Hallo!
Also die Seite bendtigt PHP, JQuery sowie JSON Dateien fur die Locales, nur plain html ist es daher leider nicht.

Im Moment befinden sich unter /var/www/download/src/vendor die PHP-Bibliotheken die mit Composer verwaltet werden. Der Ordner wird vom
Webserver in der Indexansicht ignoriert und kénnten sich im Prinzip auch irgendwo anders auf dem Server befinden.

Im Stable Ordner der Download Seite gibt es dann:

® index.php
e assets/ : /frameworks (bootstrap + fontawesome), /images, /locales, /scripts, /styles

Das musste alles durch den Webserver erreichbar sein.

Ich muss mir das maven-site Plugin nochmal genauer anschauen. Aber da misste man wahrscheinlich ein Template schreiben oder? Per Default
wird da anscheinend Velocity benutzt.

Viele GruBe,

Fabian

#18 - 03/19/2018 10:45 AM - Andreas Kohlbecker

Also dann doch besser die B-Variante:

In der Apache-Konfigurtion ein internen "Forward" flir die Location /taxeditor/download nach /download/taxeditor/stable/ einrichten.
Ich habe in die /etc/apache2/sites-available/siteconf/cybertaxonomy.eu.conf

folgende RedirectRule eingetragen:

RewriteRule /taxeditor/download/ /download/taxeditor/stable/ [P]

aber leider funktioniert diese nicht so wie ich mir das erhofft hatte.
Ich habe absichtlich zunachst /taxeditor/download/ und nicht /taxeditor/download als Basis genommen

Du hast ja Zugriff auf den edit-community.
Mit apachectl configtest kannst du die Konfiguration auf Syntaxprobleme testen wenn du etwas ge&ndert hast (aber das weif3t du sicherlich eh schon

)

Viele GruBBe
Andreas

#19 - 03/19/2018 10:49 AM - Andreas Kohlbecker

Aber dadurch mussten die Dateien immer noch jedes mal in den Ordner der aktuellsten Version verschoben werden oder?
Oder soll der Symlink von stable auf den entsprechenden Versionsordner weg und durch den Ordner mit der Seite ersetzt werden?

Viele Grif3e,
Fabian

#20 - 03/19/2018 10:53 AM - Andreas Kohlbecker
Andreas Kohlbecker wrote:

Aber dadurch mussten die Dateien immer noch jedes mal in den Ordner der aktuellsten Version verschoben werden oder?
Oder soll der Symlink von stable auf den entsprechenden Versionsordner weg und durch den Ordner mit der Seite ersetzt werden?

Viele Grif3e,

Fabian

Dann muss die DownloadSeite natrlich in einen anderen, d.h. eigenen, separaten Ordner, vielleicht site/ ?
Die aktuelle Versionsnummer bekommst du dann vom Ordner stable/ mit der Methode readlink()

#21 - 04/04/2018 08:40 AM - Andreas Kohlbecker

[a.mueller:]

... Ich wollte nur darauf hinweisen, dass das mit dem automatischen Verschieben noch nicht klappt und dass die Seite, wenn in einer alten Version,
nicht mehr funktioniert, da auch viele Links véllig zerschossen sind.

AM

#22 - 01/16/2020 12:23 PM - Andreas Miiller

- Assignee changed from Fabian Reimeier to Andreas Kohlbecker

Issues open here?

#23 - 02/22/2022 10:41 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

#24 - 03/11/2022 03:29 PM - Andreas Miiller
- Due date set to 03/16/2022
- Target version changed from Release 4.10 to Release 5.31

- Start date set to 03/14/2022

Move back to 4.10 after review.

#25 - 03/16/2022 10:18 AM - Andreas Miiller

- Status changed from Feedback to Resolved

#26 - 03/18/2022 04:02 PM - Andreas Miiller

- Related to discussion #9995: Discuss structure of subsites for cybertaxonomy.org added

#27 - 03/18/2022 04:04 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

Open issue moved to #9995. Generally the new update site works as expected now.

#28 - 03/18/2022 04:04 PM - Andreas Miiller
- Target version changed from Release 5.31 to Release 4.10

#29 - 03/18/2022 04:05 PM - Andreas Miiller
- Due date deleted (03/16/2022)
- Start date deleted (03/14/2022)
